package de.meinefirma.meinprojekt;

import static com.google.inject.matcher.Matchers.annotatedWith;
import static com.google.inject.matcher.Matchers.any;
import com.google.inject.AbstractModule;

public class AopModule extends AbstractModule
{
   protected void configure()
   {
      bindInterceptor( any(), annotatedWith( UseLoggerInterceptor.class ), new LoggerInterceptor() );
   }
}
