package de.meinefirma.meinprojekt;

import org.aopalliance.intercept.MethodInterceptor;
import org.aopalliance.intercept.MethodInvocation;
import java.lang.reflect.Method;
import java.util.Arrays;

public class LoggerInterceptor implements MethodInterceptor
{
   public Object invoke( MethodInvocation methInvoc ) throws Throwable
   {
      Method   mth = methInvoc.getMethod();
      Object[] arg = methInvoc.getArguments();
      String   cll = mth.getName() + Arrays.deepToString( arg );
      System.out.print( cll + ": " );
      Object result = methInvoc.proceed();
      System.out.println( " " + cll + " --> " + result );
      return result;
   }
}
